.gallery {
  div {
    grid-column: span 2 / span 2;
    grid-row: span 1 / span 1;
  }
  div:first-child {
    grid-column: span 6 / span 6;
    grid-row: span 2 / span 2;
  }
  div:nth-child(n + 6) {
    display: none;
  }
  @media (max-width: 1024px) {
    div {
      grid-column: span 4 / span 4;
      grid-row: span 1 / span 1;
    }
    div:first-child {
      grid-column: span 6 / span 6;
      grid-row: span 2 / span 2;
    }
    div:nth-child(n + 4) {
      display: none;
    }
  }
  @media (max-width: 640px) {
    div {
      grid-column: span 10 / span 10;
      grid-row: span 2 / span 2;
    }
    div:first-child {
      grid-column: span 10 / span 10;
      grid-row: span 2 / span 2;
    }
    div:nth-child(n + 2) {
      display: none;
    }
  }
  &.more {
    div:nth-child(5) {
      position: relative;
      &:hover {
        cursor: pointer;
      }
      &::after {
        content: 'Ver todas';
        display: flex;
        align-items: center;
        text-align: center;
        font-size: 1.75rem;
        justify-content: center;
        color: #fff;
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background: rgba(0, 20, 40, 0.5);
      }
    }
    @media (max-width: 1024px) {
      div:nth-child(3) {
        position: relative;
        &:hover {
          cursor: pointer;
        }
        &::after {
          content: 'Ver todas';
          display: flex;
          align-items: center;
          text-align: center;
          font-size: 1.75rem;
          justify-content: center;
          color: #fff;
          height: 100%;
          width: 100%;
          position: absolute;
          top: 0;
          left: 0;
          background: rgba(0, 20, 40, 0.5);
        }
      }
    }
  }
}
